<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Monza
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>"/>
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
	<link rel="profile" href="http://gmpg.org/xfn/11"/>

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'monza' ); ?></a>
	<header id="masthead" class="site-header">
		<div class="container">
            <div class="site-branding">
    			<?php
    			the_custom_logo();
    			if ( is_front_page() && is_home() ) {
    				if ( ! get_custom_logo() ) {
                    ?>
    				<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
    				<?php
                    }
    			} else {
    				if ( !get_custom_logo() ) { ?>
    				<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
    				<?php
                    }
    			}
                
    			$monza_description = get_bloginfo( 'description', 'display' );
    			if ( $monza_description || is_customize_preview() ) {
    				?>
    				<p class="site-description"><?php echo $monza_description; /* WPCS: xss ok. */ ?></p>
    			<?php } ?>
    		</div><!-- .site-branding -->    		
        </div>
        <nav id="site-navigation" class="main-navigation">
			<div class="container">
                <button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><?php esc_html_e( 'Primary Menu', 'monza' ); ?></button>
    			<?php
    			wp_nav_menu( array(
    				'theme_location' => 'primary',
    				'menu_id'        => 'primary-menu',
    			) );
    			?>
            </div>
		</nav><!-- #site-navigation -->
	</header><!-- #masthead -->    
	<div id="content" class="site-content">
